MOUNT_NTFS(8) | System Manager's Manual | MOUNT_NTFS(8)

# NAME

`mount_ntfs` — mount an NTFS file system

# SYNOPSIS

`mount_ntfs` | [`-a`] [`-i`] [`-u` uid] [`-g` gid] [`-m` mask] special node

# DESCRIPTION

The `mount_ntfs` command attaches the NTFS filesystem residing on the device special to the global filesystem namespace at the location indicated by node. Both special and node are converted to absolute paths before use. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an NTFS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The supported NTFS versions include both NTFS4, as used by Microsoft Windows NT 4.0, and NTFS5, as used by Microsoft Windows 2000 and XP.

The options are as follows:

`-a`
  Force behaviour to return MS-DOS 8.3 names also on readdir(3).
`-i`
  Make name lookup case insensitive for all names except POSIX names.
`-u` uid
  Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.
`-g` gid
  Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.
`-m` mask
  Specify the maximum file permissions for files in the file system.

# FEATURES

## NTFS file attributes

NTFS file attributes can be accessed in the following way:

    foo[[:ATTRTYPE]:ATTRNAME]

‘ATTRTYPE’ is one of identifier listed in $AttrDef file of volume. Default is $DATA. ‘ATTRNAME’ is an attribute name. Default is none.

Examples:

To get volume name (in Unicode):

    # cat /mnt/\$Volume:\$VOLUME_NAME

To read directory raw data:

    # cat /mnt/foodir:\$INDEX_ROOT:\$I30

## Limited support for writing

There is limited writing ability for files. Limitations:

- file must be non-resident
- file must not contain any holes (uninitialized areas)
- file can't be compressed

Note that it's not currently possible to create or remove files on NTFS filesystems.

Warning: do not mount NTFS filesystems read-write. The write support is not very useful and is not tested well. It's not safe to write to any file on NTFS; you might damage the filesystem. Unless you want to debug NTFS filesystem code, mount the NTFS filesystem read-only.

# SEE ALSO

mount(2), unmount(2), fstab(5), disklabel(8), mbrlabel(8), mount(8)

# HISTORY

Support for NTFS first appeared in FreeBSD 3.0. It was ported to NetBSD and first appeared in NetBSD 1.5.

# AUTHORS

NTFS kernel implementation, `mount_ntfs` and this manual were originally written by Semen Ustimenko <semenu@FreeBSD.org>.

The NetBSD port was done by
Christos Zoulas ⟨christos@NetBSD.org⟩ and
Jaromir Dolecek ⟨jdolecek@NetBSD.org⟩.

# BUGS

The write support should be enhanced to actually be able to change file size, and to create and remove files and directories. It's not very useful right now.

If the attempt to mount NTFS gives you an error like this:

    # mount -t ntfs /dev/wd0k /mnt
    mount_ntfs: /dev/wd0k on /mnt: Invalid argument

make sure that appropriate partition has correct entry in the disk label, particularly that the partition offset is correct.

Recently many cards (in particular SDXC ones) are formatted using exFAT. For those cards, disklabel reports NTFS as the partition type. There is currently no support for mounting exFAT drives.

If the NTFS partition is the first partition on the disk, the offset should be '63' or '2048' on i386 (see disklabel(8)). exFAT partitions typically report an offset of '32768'. mbrlabel(8) could help you to set up the disk label correctly.

If the NTFS partition is marked as ‘`dynamic`’ under Microsoft Windows XP, it won't be possible to access it under NetBSD anymore.

September 9, 2015 | NetBSD 10.99